This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1480847 - VNC crashes after some minutes of successful connection
VNC crashes after some minutes of successful connection
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-12 06:16 EDT by slartibart70
Modified: 2017-08-16 03:33 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vnc and journal logs (31.25 KB, application/x-7z-compressed)
2017-08-12 06:19 EDT, slartibart70
no flags Details

  None (edit)
Description slartibart70 2017-08-12 06:16:10 EDT
Hi,

i have configured tigervnc-server on my fedora26-xeon server machine, i run it using 
systemctl start vncserver@:1.service
and the vnc session (plasma5) will initalize correclty. Connection via vncviewer is possible and shows the plasma/fc26 desktop. After approx. 1 minute, the server-vnc process crashes and obviously kills my connection.

In the vnc log i see:

Failed to import environment: Process org.freedesktop.systemd1 exited with status 1
startkde: Starting up...

vmware-user: could not open /proc/fs/vmblock/dev

** (process:2177): CRITICAL **: polkit_agent_listener_register_with_options: assertion 'POLKIT_IS_SUBJECT (subject)' failed

(process:2177): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

in journal i find:

Aug 12 11:57:42 t410 kdeinit5[2108]: The X11 connection broke: I/O error (code 1)
Aug 12 11:57:42 t410 ksmserver[2125]: QProcess: Destroyed while process ("kwin_x11") is still running.
Aug 12 11:57:42 t410 ksmserver[2125]: QProcess: Destroyed while process ("/usr/libexec/kdeconnectd") is still running.
Aug 12 11:57:42 t410 ksmserver[2125]: ksmserver: autostart service ("") finished with exit code  15
Aug 12 11:57:42 t410 ksmserver[2125]: QProcess: Destroyed while process ("/usr/bin/krunner") is still running.
Aug 12 11:57:42 t410 drkonqi[2859]: QXcbConnection: Could not connect to display :1
Aug 12 11:57:42 t410 audit[2859]: ANOM_ABEND auid=4294967295 uid=10001 gid=10001 ses=4294967295 subj=system_u:system_r:unconfined_service_t:s0 pid=2859 
Aug 12 11:57:42 t410 systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Aug 12 11:57:42 t410 systemd[1]: Started Process Core Dump (PID 2860/UID 0).

Any idea how to address this problem?
(btw, it was working successfully in previous fedora version using same configuration/hardware)

Please find logs attached to this report
Comment 1 slartibart70 2017-08-12 06:19 EDT
Created attachment 1312395 [details]
vnc and journal logs
Comment 2 slartibart70 2017-08-12 07:31:48 EDT
I think i found the problem: se-linux (again...:-))))

I created this rule:

# cat my-systemd.te 

module my-systemd 1.0;

require {
        type user_home_t;
        type init_t;
        class file { open read unlink };
}

#============= init_t ==============
allow init_t user_home_t:file { open read unlink };


and now it works
Would you please check if this rule needs to be added to the default vnc rules?
Comment 3 slartibart70 2017-08-16 03:33:48 EDT
modified component of this report

Note You need to log in before you can comment on or make changes to this bug.